Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fedict.eid.applet.service.spi
Interface SignatureService

All Known Subinterfaces:
  SignatureServiceEx

    public interface SignatureService

Interface for signature service component.

Author:
  Frank Cornelis

Method Summary
`String` | `getFilesDigestAlgorithm()` Gives back the digest algorithm to be used for construction of the digest infos of the preSign method.
`void` | `postSign(byte[] signatureValue, List<X509Certificate> signingCertificateChain)` Post-sign callback method.
`DigestInfo` | `preSign(List<DigestInfo> digestInfos, List<X509Certificate> signingCertificateChain)` Pre-sign callback method.

Method Detail

### getFilesDigestAlgorithm

    String getFilesDigestAlgorithm()

  Gives back the digest algorithm to be used for construction of the digest infos of the preSign method. Return a digest algorithm here if you want to let the client sign some locally stored files. Return `null` if no pre-sign digest infos are required.

  Returns:
    the digest algorithm to be used when digesting local files.
  See Also:
    `preSign(List, List)`

### preSign

    DigestInfo preSign(List<DigestInfo> digestInfos,
                       List<X509Certificate> signingCertificateChain)
                       throws NoSuchAlgorithmException

  Pre-sign callback method. Depending on the configuration some parameters are passed. The returned value will be signed by the eID Applet.

  TODO: service must be able to throw some exception on failure.

  Parameters:
    `digestInfos` - the optional list of digest infos.
    `signingCertificateChain` - the optional list of certificates.
  Returns:
    the digest to be signed.
  Throws:
    `NoSuchAlgorithmException`

### postSign

    void postSign(byte[] signatureValue,
                  List<X509Certificate> signingCertificateChain)
                  throws ExpiredCertificateSecurityException,
                         RevokedCertificateSecurityException,
                         TrustCertificateSecurityException,
                         CertificateSecurityException,
                         SecurityException

  Post-sign callback method. Received the signature value. Depending on the configuration the signing certificate chain is also obtained.

  Parameters:
    `signatureValue` -
    `signingCertificateChain` - the optional chain of signing certificates.
  Throws:
    `ExpiredCertificateSecurityException`
    `RevokedCertificateSecurityException`
    `TrustCertificateSecurityException`
    `CertificateSecurityException`
    `SecurityException`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 FedICT. All Rights Reserved.